## org.eclipse.datatools.connectivity.oda.design
Class HorizontalAlignment

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.HorizontalAlignment

public final class HorizontalAlignment
extends AbstractEnumerator

A representation of the literals of the enumeration 'Horizontal Alignment', and utility methods for working with them. Horizontal display alignment of the data value.

See Also:
  `DesignPackage.getHorizontalAlignment()`, Serialized Form

Field Summary
`static int` `AUTOMATIC` The 'Automatic' literal value.
`static HorizontalAlignment` `AUTOMATIC_LITERAL` The 'Automatic' literal object.
`static int` `CENTER` The 'Center' literal value.
`static HorizontalAlignment` `CENTER_LITERAL` The 'Center' literal object.
`static java.lang.String` `copyright`
`static int` `LEFT` The 'Left' literal value.
`static HorizontalAlignment` `LEFT_LITERAL` The 'Left' literal object.
`static int` `RIGHT` The 'Right' literal value.
`static HorizontalAlignment` `RIGHT_LITERAL` The 'Right' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Horizontal Alignment' enumerators.

Method Summary
`static HorizontalAlignment` `get(int value)` Returns the 'Horizontal Alignment' literal with the specified integer value.
`static HorizontalAlignment` `get(java.lang.String literal)` Returns the 'Horizontal Alignment' literal with the specified literal value.
`static HorizontalAlignment` `getByName(java.lang.String name)` Returns the 'Horizontal Alignment' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### AUTOMATIC

    public static final int AUTOMATIC

  The 'Automatic' literal value.

  See Also:
    `AUTOMATIC_LITERAL`, Constant Field Values

### LEFT

    public static final int LEFT

  The 'Left' literal value.

  See Also:
    `LEFT_LITERAL`, Constant Field Values

### CENTER

    public static final int CENTER

  The 'Center' literal value.

  See Also:
    `CENTER_LITERAL`, Constant Field Values

### RIGHT

    public static final int RIGHT

  The 'Right' literal value.

  See Also:
    `RIGHT_LITERAL`, Constant Field Values

### AUTOMATIC_LITERAL

    public static final HorizontalAlignment AUTOMATIC_LITERAL

  The 'Automatic' literal object.

  See Also:
    `AUTOMATIC`

### LEFT_LITERAL

    public static final HorizontalAlignment LEFT_LITERAL

  The 'Left' literal object.

  See Also:
    `LEFT`

### CENTER_LITERAL

    public static final HorizontalAlignment CENTER_LITERAL

  The 'Center' literal object.

  See Also:
    `CENTER`

### RIGHT_LITERAL

    public static final HorizontalAlignment RIGHT_LITERAL

  The 'Right' literal object.

  See Also:
    `RIGHT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Horizontal Alignment' enumerators.

Method Detail

### get

    public static HorizontalAlignment get(java.lang.String literal)

  Returns the 'Horizontal Alignment' literal with the specified literal value.

### getByName

    public static HorizontalAlignment getByName(java.lang.String name)

  Returns the 'Horizontal Alignment' literal with the specified name.

### get

    public static HorizontalAlignment get(int value)

  Returns the 'Horizontal Alignment' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.